libzypp 17.37.10

text.cc File Reference
`#include <cstring>`
`#include <boost/utility/string_ref.hpp>`
`#include "text.h"`

Go to the source code of this file.

## Namespaces
namespace | ztui

## Functions
std::string | ztui::mbs_substr_by_width (boost::string_ref text_r, std::string::size_type colpos_r=0, std::string::size_type collen_r=std::string::npos)
| Returns a substring of a multi-byte character string text_r starting at screen column cpos_r and being at most clen_r columns wide.